Bug 671155 - OSError: [Errno 17] File exists
OSError: [Errno 17] File exists
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-20 10:48 EST by John Reiser
Modified: 2013-07-04 08:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: lorax-0.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-21 02:31:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2011-01-20 10:48:57 EST
Description of problem: pungi run aborts with lorax traceback


Version-Release number of selected component (if applicable):
lorax-0.2-2.fc15
pungi-2.5-1.fc15


How reproducible: every time


Steps to Reproduce:
1. /usr/bin/pungi -c rawhide-fedora.ks --destdir=$DESTDIR --name Fedora --ver 15 --nosource
2.
3.
  
Actual results:

creating depmod.conf
Traceback (most recent call ast):
  File "/usr/bin/pungi", line 214, in <module>
    main()
  File "/usr/bin/pungi", line 120, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 793, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 290, in run
    self.installtree.misc_tree_modifcations()
  File "/usr/lib/python2.7/site-packages/pylorax/installtree.py", line 404, in misc_treee_modifications
    os.symlink(target, name)
OSError: [Errno 17] File exists

Expected results: success


Additional info:  *PLEASE* report the relevant path names in such error messages!!  It is an insult to the user to omit such key information from the error.
Comment 1 Martin Gracik 2011-01-21 09:04:21 EST
Fixed in lorax-0.3-1

Note You need to log in before you can comment on or make changes to this bug.